import packageInfo from '../../package.json'
import React, { useState, useContext } from 'react'
//import Prototypes from 'prototypes' //Capitalize, etc
import { Switch, Redirect, Route, Link } from 'react-router-dom'

//import NotFound from './NotFound.js'

//import oAuth2Routes from './oauth2/routes'
//import Clock from 'ui/test/AsyncClock'
//import QueryTester from 'ui/test/QueryTester'
//import { MyProfile } from 'ui/local/dashboardMain'

import {
  GreenTick,
  Subtitle,
  ThemeSelector,
  AnimatedVCaret,
  Paginator,
  HorizontalBar,
  SwitchRouteMap,
  RedirectWithStatus,
  GraphQLTester,
  useSite
} from '@fwrlines/ds'

/* @fwrlines/generator-react-component 2.2.3 */
import { defineMessages, FormattedMessage } from 'react-intl'

const endpoint = process.env.GRAPHQL_ENDPOINT

const messages = defineMessages({
  welcome:{
    id            :'app.default.welcome',
    defaultMessage:'Welcome to { name } version { version }',
    description   :'Default message'
  },
  successfullyInstalled:{
    id            :'app.default.successfullyInstalled',
    defaultMessage:`If you're seeing this, it means the application runs correctly.`,
    description   :''
  },
  graphqlNotInstalled:{
    id            :'app.default.graphqlNotInstalled',
    defaultMessage:`This app does not use GraphQL.`,
    description   :''
  },
  graphqlInstalled:{
    id            :'app.default.graphqlInstalled',
    defaultMessage:`This app uses GraphQL at endpoint {endpoint}. A hello message from the server should appear below.`,
    description   :''
  }
})


import routes from './allRoutes.js'

import { Helmet } from 'react-helmet'

const App = () => {
  const [active, setActive] = useState(false)

  const {
    userTheme
  } = useSite()

  return (
    <div
      className={
        [
          'ui-'+ userTheme,
          'y-background b-y'
        ].filter(e => e).join(' ')
      }
      style={{
        height    :'100%',
        background:'var(--background)'
      }}
    >
      <Helmet>
        { (userTheme === 'dark') ?
          <link
            rel="icon"
            type="image/png"
            href="/logo-blue-dark.png"
          />:
          <link
            rel="icon"
            type="image/png"
            href="/logo-blue-light.png"
          />
        }
      </Helmet>
      <SwitchRouteMap
        routes={routes}

        /*
        NotFound={<RedirectWithStatus
          status={404}
          to={'/404'}
                  />}
         */
      />
    </div>
  )
}


export default App
