/* @fwrlines/generator-react-component 2.3.4 */
import * as React from 'react'
//import {} from 'react'
import PropTypes from 'prop-types'

import { Heading, Footer } from '@fwrlines/ds'
import { generatePath, Link } from 'react-router-dom'

import * as URLS from 'app/urls'

//Intl

import { FormattedMessage } from 'react-intl'
import messages from './messages'
// <FormattedMessage {...messages.title} />

//Config

//import C from 'ui/cssClasses'

//Relative imports
//import styles from './local_footer.scss'
//import { isBackend } from 'utils/isBackend'

/*
if(!isBackend) {
  import('./local_footer.scss')
}*/

const baseClassName = 'local_footer'

const generateBlogPath = (category) => generatePath(
  URLS.BLOG.CATEGORY,
  {
    category
  }
)


const linkMap = {
  locationsMap:{
    title:<FormattedMessage {...messages.locationsTitle} />,
    items:[

      /*
      {
        to      :URLS.SITE.PRODUCT,
        children:<FormattedMessage {...messages.itemProduct} />
      },*/
      {
        to      :URLS.SITE.DOCUMENTAL_MEMORIAS,
        children:<FormattedMessage {...messages.itemDocumentalMemorias} />
      },
      {
        to      :URLS.SITE.NATIONAL_MAP,
        children:<FormattedMessage {...messages.itemNationalMap} />
      }
    ]

  },
  aboutMap:{
    title:<FormattedMessage {...messages.aboutTitle} />,
    items:[
      {
        to      :URLS.MDX.ABOUT,
        children:<FormattedMessage {...messages.itemAbout} />
      },
      {
        to      :URLS.SITE.CONTACT,
        children:<FormattedMessage {...messages.itemContact} />
      }

      /*
      {
        to      :URLS.BLOG.HOME,
        children:<FormattedMessage {...messages.itemBlog} />
      }*/
    ]
  },
  blogMap:{
    title:<FormattedMessage {...messages.blogTitle} />,
    items:[
      {
        to      :URLS.BLOG.HOME,
        children:<FormattedMessage {...messages.itemBlogAll} />
      }       /* {
          to      :generateBlogPath('problemi-all-auto'),
          children:`Problemi`
        },*/
      /*
        {
          to      :generateBlogPath('burocrazia-dell-auto'),
          children:`Burocrazia`
        },
        {
          to      :generateBlogPath('fondamentali-dell-auto'),
          children:`Fondamentali`
        },
      {
        to      :URLS.MDX.SPIE,
        children:<FormattedMessage {...messages.itemSpie} />
      }*/
    ]
  }

}

/**
 * Use `LocalFooter` to
 * Has color `x`
 */
const LocalFooter = ({
  id,
  className,
  style
}) => (
  <Footer
    className={
      [
        //styles[baseClassName],
        baseClassName,
        'ph-u pt-v v3',
        className
      ].filter(e => e).join(' ')
    }
    id={id}
    style={style}
    end={
      <div className="pv-u k-s s-1 uc sm-ul">
        {/*
        <p className="c-x x-paragraph">
          <Link
            to={URLS.MDX.GDPR}
            className="x-paragraph c-x"
          >
            <FormattedMessage {...messages.itemPrivacyPolicy} />
          </Link>
          { ' & ' }
          <Link
            to={URLS.MDX.COOKIES}
            className="x-paragraph c-x"
          >
            <FormattedMessage {...messages.itemCookies} />
          </Link>

        </p>
        <p>{ ' ' }</p>
        */}
        <p className="c-x x-subtitle">
        © Pasaporte Cultural 2020
        </p>
      </div>
    }
  >
    <Footer.Main className="uc sm-ul">
    </Footer.Main>
    <div className="uc sm-ul">
      <div>
        <Heading
          heading={linkMap.locationsMap.title}
          headingClassName="h5 x-heading c-light-x"
        />
        <ul>
          { linkMap.locationsMap.items.map((e, i) =>
            (<li>
              <Link {...e} />
            </li>)
          ) }
        </ul>
      </div>
    </div>
    <div className="uc sm-ul">
      <div>
        <Heading
          heading={linkMap.aboutMap.title}
          headingClassName="h5 x-heading c-light-x"
        />
        <ul>
          { linkMap.aboutMap.items.map((e, i) =>
            (<li>
              <Link {...e} />
            </li>)
          ) }
        </ul>
      </div>
    </div>
    <div className="uc sm-ul">
      <div>
        <Heading
          heading={linkMap.blogMap.title}
          headingClassName="h5 x-heading c-light-x"
        />
        <ul>
          { linkMap.blogMap.items.map((e, i) =>
            (<li>
              <Link {...e} />
            </li>)
          ) }
        </ul>
      </div>
    </div>
  </Footer>
)

LocalFooter.propTypes = {

  /**
   * Provide an HTML id to this element
   */
  id:PropTypes.string,

  /**
   * The html class names to be provided to this element
   */
  className:PropTypes.string,

  /**
   * The JSX-Written, css styles to apply to the element.
   */
  style:PropTypes.object,

  /**
   *  The children JSX
   */
  children:PropTypes.node,

  /**
   * Which html tag to use
   */
  as:PropTypes.oneOfType([
    PropTypes.string,
    PropTypes.object
  ]),
  //as: PropTypes.string,

  /**
   * The height of the element
   */
  height:PropTypes.string,

  /**
   * The width of the element
   */
  width:PropTypes.string

  /*
  : PropTypes.shape({
    id: PropTypes.string.isRequired,
    title: PropTypes.string.isRequired,
    state: PropTypes.string.isRequired,
  }),
  : PropTypes.func,
  : PropTypes.func,
  : PropTypes.oneOf(['', ''])
  */
}

LocalFooter.defaultProps = {
  className:'y-background b-dark-y',
  status   :'neutral'
  //height:'2.2em',
  //as:'p',
}

export default LocalFooter
