/* @fwrlines/generator-react-component 2.8.0 */
import * as React from 'react'
//import {} from 'react'
import PropTypes from 'prop-types'

import { Card, Image, Page, Figure, Heading, Quote } from '@fwrlines/ds'
import { Swiper, SwiperSlide } from 'swiper/react'
import SwiperCore, { Navigation } from 'swiper'

import { LocalNavBar, LocalFooter } from 'app/common/components'

SwiperCore.use([Navigation])

//Config
//import C from 'ui/cssClasses'

//Intl

import { FormattedMessage } from 'react-intl'
import messages from './Documentary.messages'

// <FormattedMessage {...messages.title} />

//const baseClassName = 'page_documentary'
const baseId = 'page_documentary'

const helmet = {
  robots          :'index, follow',
  title           :'9 iniciativas culturales independientes en Xochimilco - Un proyecto documental',
  meta_description:'Documental sobre nueve espacios culturales que trabajan de manera independiente, autogestiva, comunitaria y autónoma en Xochimilco, Ciudad de México. '
  //title_tag:'hello'
  //title_tag          :<FormattedMessage {...messages.title} />,
  /*
  canonical          :'https://home.com/description',
  twitter_title      :'For twitter, a title',
  twitter_description:'',
  twitter_image      :'',
  og_title           :'This is the open graph title',
  og_description     :'',
  og_image           :'',
  og_type            :'',
  og_url             :'',
  */
}

const content = {
  sectionTitle:{
    sectionProps:{
      id       :'title',
      head     :true,
      className:'md-s1 md-uc ph-u y-background b-y'
    },
    headingProps:{
      //id,
      className:'md-uc md-s1',
      //style,
      //children, //appended at bottom

      //heading         :'hello',
      heading  :<FormattedMessage {...messages.title} />,
      //headingClassName:'ts-green',
      headingAs:'h1',
      //headingProps :{}

      //label         :'film',
      //label         :<FormattedMessage {...messages.label} />,
      //labelClassName:'x-red basic',
      //labelAs:'p',
      //labelProps :{},
      //
      //subtitle        :'Stanley Kubrick, 1960',
      subtitle:<FormattedMessage {...messages.subtitle} />
      //subtitleClassName,
      //subtitleProps:{},

    }
  },
  sectionPartners:{
    sectionProps:{
      id       :'partners',
      className:'y-background b-y'
    },
    headingProps:{
      //id,
      className:'uc md-s2',
      //style,
      //children, //appended at bottom

      //heading         :'hello',
      heading  :<FormattedMessage {...messages.partnersTitle} />,
      headingAs:'h2',
      //headingProps :{}

      //label         :'film',
      //label         :<FormattedMessage {...messages.label} />,
      //labelClassName:'x-red basic',
      //labelAs:'p',
      //labelProps :{},
      //
      //subtitle        :'Stanley Kubrick, 1960',
      subtitle:<FormattedMessage {...messages.partnersSubtitle} />
      //subtitleClassName,
      //subtitleProps:{},

    },
    cardsMap:[
      {
        name       :'Amanalli Secuam Ecole',
        //facebook:'',
        instagram  :'https://www.instagram.com/amanallisecuam/',
        description:'Talleres y programa comunitario en Chinampa de producción agroecológica.,'
      },
      {
        name       :'Taller el Ahuehuete',
        //facebook:'',
        instagram  :'https://www.instagram.com/tallerelahuehuete/',
        description:'Aprendemos a aprender, aprendemos a ser, a convivir, a compartir y a hacer.'
      },
      {
        name       :'Espacio Cultural La Bóveda',
        //facebook:'',
        facebook   :'https://www.facebook.com/Espacio-Cultural-La-B%C3%B3veda-377920542310808/',
        description:'Desarrollamos procesos autogestivos en la producción artística y cultural a través del conocimiento multidisciplinario.'
      },
      {
        name       :'La Cigarra Cuentacuentos',
        instagram  :'https://www.instagram.com/lacigarracuentacuentos/',
        description:'Promover la educación intercultural y la preservación de la tradición oral.'
      },
      {
        name       :'Nahuales Bike Park',
        instagram  :'https://www.instagram.com/nahualesbikepark/',
        description:'Espacio dedicado al ciclismo y al cultivo “ Sembrando rampas y milpas”.'
      },
      {
        name       :'O Cazua',
        instagram  :'https://www.instagram.com/o_cazua/',
        description:'Espacio de práctica y difusión de Capoeira Angola y artes afrodescendientes.'
      },
      {
        name       :'Ometeotl',
        facebook   :'https://www.facebook.com/ometeotlbici/',
        description:'La bici en resistencia del campo.'
      },
      {
        name       :'Tlapiques A.C.',
        instagram  :'https://www.instagram.com/tlapiques_xochimilco/',
        description:'Propuestas ambientales, culturales y de economía social'
      },
      {
        name       :'Banda de Viento San Luis Huentli',
        instagram  :'https://www.instagram.com/banda_huentli/',
        description:'Somos Banda de viento y tocamos los sonidos de la memoria y el baile.'
      }
    ]
  },
  sectionMaking:{
    sectionProps:{
      id       :'making',
      className:'v2 md-v8 pv-v y-background b-light-y'
    },
    headingProps:{
      //id,
      //className:'uc md-s2 v2 md-v4 pb-v',
      className:'md-s3',
      //style,
      //children, //appended at bottom

      //heading         :'hello',
      heading  :<FormattedMessage {...messages.makingTitle} />,
      headingAs:'h2'
      //headingProps :{}

      //label         :'film',
      //label         :<FormattedMessage {...messages.label} />,
      //labelClassName:'x-red basic',
      //labelAs:'p',
      //labelProps :{},
      //
      //subtitle        :'Stanley Kubrick, 1960',
      //subtitle:<FormattedMessage {...messages.creditsSubtitle} />
      //subtitleClassName,
      //subtitleProps:{},

    }
  },
  sectionCarousel:{
    sectionProps:{
      id   :'carousel',
      style:{
        '--swiper-navigation-color':'var(--white)'
      }
    },
    carouselItems:[
      {
        src:'/documentary/carousel.jpg',
        alt:'Imagen'
      },
      {
        src:'/documentary/carousel-2.jpg',
        alt:'Imagen'
      },
      {
        src:'/documentary/carousel-3.jpg',
        alt:'Imagen'
      },
      {
        src:'/documentary/carousel-4.jpg',
        alt:'Imagen'
      },
      {
        src:'/documentary/carousel-5.jpg',
        alt:'Imagen'
      },
      {
        src:'/documentary/carousel-6.jpg',
        alt:'Imagen'
      },
      {
        src:'/documentary/carousel-7.jpg',
        alt:'Imagen'
      },
      {
        src:'/documentary/carousel-8.jpg',
        alt:'Imagen'
      },
      {
        src:'/documentary/carousel-9.jpg',
        alt:'Imagen'
      }
    ]

  },

  sectionCredits:{
    sectionProps:{
      id       :'credits',
      className:'v2 md-v8 pv-v y-background b-dark-y'
    },
    headingProps:{
      //id,
      className:'uc md-s2 v2 md-v4 pb-v',
      //style,
      //children, //appended at bottom

      //heading         :'hello',
      heading  :<FormattedMessage {...messages.creditsTitle} />,
      headingAs:'h2'
      //headingProps :{}

      //label         :'film',
      //label         :<FormattedMessage {...messages.label} />,
      //labelClassName:'x-red basic',
      //labelAs:'p',
      //labelProps :{},
      //
      //subtitle        :'Stanley Kubrick, 1960',
      //subtitle:<FormattedMessage {...messages.creditsSubtitle} />
      //subtitleClassName,
      //subtitleProps:{},

    }
  }
}

const CreditHeading = ({
  title,
  name
}) => (
  <Heading
    className="uc"
    style={{ marginBottom: '2em' }}
    headingAs="p"
    headingClassName="x-subtitle c-x"
    heading={title}
    subtitle={name}
    subtitleClassName="tb x-paragraph c-x"
  />)


/**
 * Page `Documentary`
 * Description :
 */
const Documentary = ({
  history,
  location,
  match
}) => (
  <Page
    id={baseId}
    //itemType='https://schema.org/FAQPage'
    className="u1 md-u2"
    HELMET={helmet}
  >
    <LocalNavBar />
    <Page.Section
      id="quote"
    >
      <div className="l-center p-u ui-dark">
        <div className="i-content s1">
          {/*
          <Quote
            //author="Pasaport"
            //cite={ cite }
            style={{
              'position':'relative',
              'zIndex'  :0,
              '--z'     :'var(--blue)'
            }}
          >
            <span className="x-paragraph c-x tb">
              Pensar Independientemente, Actuar Colectivamente.
            </span>
          </Quote>
          */}
        </div>
      </div>
    </Page.Section>

    <Page.Section
      {...content.sectionTitle.sectionProps}
    >
      <div className="content v4 pv-v">
        <Heading {...content.sectionTitle.headingProps} />
        <div
          className="l-illustrated right v0 md-v4 pv-v"
          style={{
            '--illustration-width':'minmax(300px, 400px)'
          }}
        >
          <div className="i-illustration">
            <Figure
              src="/cartel.jpg"
              alt='Cartel del Documental "Memorias desde la Autogestión" de Pasaporte Cultural, sobre 9 espacios de cultura independientes en Xochimilco, Ciudad de México.'
            >
              <p className="uc x-subtitle c-x">
                <em>
                  <FormattedMessage {...messages.imageCaption} />
                </em>
              </p>
            </Figure>
          </div>
          <div className="i-content v3 md-v0 pv-v u0 md-u2 ph-u md-s1 ul">
            <p className="contentful">
              <FormattedMessage
                {...messages.description}
                values={{
                  title:(
                    <em>
                      <FormattedMessage {...messages.title} />
                    </em>

                  )
                }}
              />
            </p>
          </div>
          <div className="i-footer u0 md-u2 ph-u v2 md-v0 pv-v ul">
            <p className="md-s1">
              <FormattedMessage
                {...messages.videoNext}
              />
            </p>
          </div>
        </div>

      </div>
    </Page.Section>

    <Page.Section
      id="video"
    >
      <div className="l-center ui-dark y-background b-dark-y">
        <div className="i-content v2 md-v4 mv-v">
          <div className="viewer">
            <iframe
              width="560"
              height="315"
              src="https://www.youtube.com/embed/vWlRTWhsMmQ"
              frameborder="0"
              allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
              allowfullscreen
            />
          </div>
          <div
            className="x-subtitle c-x v2 mt-v ph-u"
          >
            <p
              className="c-x v1 ml-v"
            >
              <em>
                <FormattedMessage
                  {...messages.infoAudition}
                />
              </em>
            </p>
          </div>
        </div>
      </div>
    </Page.Section>

    <Page.Section
      {...content.sectionPartners.sectionProps}
    >
      <div className="l-center">
        <div className="i-content v2 md-v4 pv-v">
          <div className="p-u">
            <Heading {...content.sectionPartners.headingProps} />
          </div>
          <div className="v1 pb-v">
            <Card.Group
              className="v1 pv-v"
              style={{
                '--card-width-xs':'280px',
                '--card-width'   :'300px'
              }}
            >
              { content.sectionPartners.cardsMap.map(cardInfo =>
                (
                  <Card className="y-background b-light-y b-y">
                    <Card.Section>
                      <Heading
                        heading={cardInfo.name}
                        headingAs="h3"
                      />
                      <p>
                        { cardInfo.description }
                      </p>
                    </Card.Section>
                    <Card.Section>
                      <span>
                        { cardInfo.facebook &&
                        <a
                          href={cardInfo.facebook}
                          data-icon="F"
                          target="_blank"
                        >
Facebook
                        </a>}
                        { cardInfo.instagram &&
                        <a
                          href={cardInfo.instagram}
                          data-icon="I"
                          target="_blank"
                        >
Instagram
                        </a>}
                      </span>
                    </Card.Section>
                  </Card>

                )
              ) }
            </Card.Group>
          </div>
        </div>
      </div>
    </Page.Section>

    <Page.Section {...content.sectionMaking.sectionProps}>
      <div className="l-sideheaded">
        <div className="i-header ph-u">
          <Heading
            {...content.sectionMaking.headingProps}
          />
        </div>
        <div className="i-content ph-u md-s2">
          <p className="contentful">
            <FormattedMessage
              {...messages.makingText1}
              values={{
                here:(
                  <a
                    href="https://docs.google.com/spreadsheets/d/1KYeguMxpltDlHL5bBV4rxJsGj8xOgPuxISQ_feuJAfk/edit?usp=sharing"
                    target="_blank"
                    rel="nofollow"
                    className="tb"
                  >
                    Aquí
                  </a>
                )
              }}
            />
          </p>
          <p className="contentful">
            <FormattedMessage {...messages.makingText2} />
          </p>
        </div>
      </div>
    </Page.Section>
    <Page.Section
      {...content.sectionCarousel.sectionProps}
    >
      <Swiper
        //spaceBetween={50}
        slidesPerView={1}
        breakpoints={{
          900:{
            slidesPerView:2
            //spaceBetween: 30
          },
          1500:{
            slidesPerView:3
            //spaceBetween: 30
          } }}
        loop
        //autoHeight
        navigation
        //onSlideChange={() => console.log('slide change')}
        //onSwiper={(swiper) => console.log(swiper)}
      >
        { content.sectionCarousel.carouselItems.map(imageProps =>
          (
            <SwiperSlide>
              <Image
                {...imageProps}
              />
            </SwiperSlide>
          )
        ) }
      </Swiper>
    </Page.Section>
    <Page.Section {...content.sectionCredits.sectionProps}>
      <div className="l-center">
        <div className="i-content">
          <div className="ph-u">
            <Heading {...content.sectionCredits.headingProps} />
            <CreditHeading
              title="Producción Ejecutiva"
              name="Mishelle Muñoz"
            />
            <CreditHeading
              title="Colaboraciones"
              name="Francisco Pavón"
            />
            <CreditHeading
              title="Taller de corto Documental y Rodaje"
              name="Iván Rueda"
            />
            <CreditHeading
              title="Diseño Gráfico"
              name="Bernabé Romero"
            />
            <CreditHeading
              title="Ilustración"
              name="Rosario Duarte"
            />
            <CreditHeading
              title="Montaje"
              name="Emiliano Mendoza"
            />
            <CreditHeading
              title="Música Original"
              name="Vladimir Aranda Rosales"
            />
            <CreditHeading
              title="Supervisor de sonido"
              name="Andrés Castro Signoret"
            />
            <CreditHeading
              title="Comunicación"
              name="Rosalba Hernández"
            />
          </div>
          <Image
            className="v2 mt-v"
            src="/documentary/team.jpg"
            alt="El equipo del documental Memorias desde la Autogestión."
            width="100%"
          />
        </div>
      </div>
    </Page.Section>
  </Page>
)

Documentary.propTypes = {

  /**
   *
   */
  someprop:PropTypes.node

  /*
  as: PropTypes.oneOfType([
    PropTypes.string,
    PropTypes.object
  ]),
  : PropTypes.shape({
    id: PropTypes.string.isRequired,
    title: PropTypes.string.isRequired,
    state: PropTypes.string.isRequired,
  }),
  children: PropTypes.node,
  : PropTypes.func,
  styles: PropTypes.object,
  : PropTypes.oneOf(['', ''])
  */
}

/*
Documentary.defaultProps = {
  status: 'neutral',
}
*/


export default Documentary
