/* @fwrlines/generator-react-component 2.8.0 */
import * as React from 'react'
//import {} from 'react'
import PropTypes from 'prop-types'

import { Button, Page, Heading } from '@fwrlines/ds'

import { LocalNavBar, LocalFooter } from 'app/common/components'


//Config
//import C from 'ui/cssClasses'

//Intl

import { FormattedMessage } from 'react-intl'
import messages from './Home.messages'

// <FormattedMessage {...messages.title} />

//const baseClassName = 'page_home'
const baseId = 'page_home'

const helmet = {
  robots   :'index, follow',
  title    :'test of the title',
  title_tag:'hello'
  //title_tag          :<FormattedMessage {...messages.title} />,
  /*
  canonical          :'https://home.com/description',
  meta_description   :'This is the meta description. 170 chars.',
  twitter_title      :'For twitter, a title',
  twitter_description:'',
  twitter_image      :'',
  og_title           :'This is the open graph title',
  og_description     :'',
  og_image           :'',
  og_type            :'',
  og_url             :'',
  */
}

const content = {
  sectionTitle:{
    sectionProps:{
      id       :'title',
      head     :true,
      className:'md-uc md-s1 v2 md-v8 pv-v ph-u'
    },
    headingProps:{
      //id,
      className:'md-s1',
      //style,
      //children, //appended at bottom

      //heading         :'hello',
      heading  :<FormattedMessage {...messages.title} />,
      //headingClassName:'ts-green',
      headingAs:'h1',
      //headingProps :{}

      //label         :'film',
      //label         :<FormattedMessage {...messages.label} />,
      //labelClassName:'x-red basic',
      //labelAs:'p',
      //labelProps :{},
      //
      //subtitle        :'Stanley Kubrick, 1960',
      subtitle:<FormattedMessage {...messages.subtitle} />
      //subtitleClassName,
      //subtitleProps:{},

    }
  },
  sectionConvocatoria:{
    sectionProps:{
      id       :'convocatoria',
      //head     :true,
      className:''
    },
    headingProps:{
      //id,
      className:'md-uc md-s1',
      //style,
      //children, //appended at bottom

      //heading         :'hello',
      heading  :<FormattedMessage {...messages.convocatoriaTitle} />,
      //headingClassName:'ts-green',
      headingAs:'h2',
      //headingProps :{}

      //label         :<FormattedMessage {...messages.convocatoriaLabel} />,
      //labelClassName:'x-link',
      //labelAs:'p',
      //labelProps :{},
      //
      //subtitle        :'Stanley Kubrick, 1960',
      subtitle:<FormattedMessage {...messages.convocatoriaSubtitle} />
      //subtitleClassName,
      //subtitleProps:{},

    }
  }
}


/**
 * Page `Home`
 * Description :
 */
const Home = ({
  history,
  location,
  match
}) => (
  <Page
    id={baseId}
    //itemType='https://schema.org/FAQPage'
    className="u1 md-u2"
    HELMET={helmet}
  >
    <LocalNavBar />
    <Page.Section
      {...content.sectionTitle.sectionProps}
    >
    
      <Heading {...content.sectionTitle.headingProps} />
    </Page.Section>
    <Page.Section
      {...content.sectionConvocatoria.sectionProps}
    >
      <div className="l-center">
        <div
          className="i-content y-background b-light-y p-u md-s1 md-u3"
          style={{ borderRadius: 'var(--theme-border-radius)' , boxShadow: 'var(--shadow)' }}
        >
          <Heading {...content.sectionConvocatoria.headingProps} />
          <p className="v2 mt-v">
            <FormattedMessage
              {...messages.convocatoria1}
            />
          </p>
          <p>
            <FormattedMessage
              {...messages.convocatoria2}
            />
          </p>
          <p>
            <FormattedMessage
              {...messages.convocatoria3}
            />
          </p>
          <br />
          <p>
            <strong>
              <FormattedMessage
                {...messages.convocatoria4}
              />
            </strong>
          </p>
          <p className="x-link c-x">
            <strong>
              <FormattedMessage
                {...messages.convocatoria5}
              />
            </strong>
            
            <a href="https://bit.ly/mapeo2021">
              <Button
                className="v1 ml-v x-link"
                compact
              >
Aquí
              </Button>
            </a>
          </p>
          <p>
            <strong>
              <FormattedMessage
                {...messages.convocatoria6}
              />
            </strong>
          </p>
        </div>
      </div>
    
    </Page.Section>

  </Page>
)

Home.propTypes = {

  /**
   *
   */
  someprop:PropTypes.node

  /*
  as: PropTypes.oneOfType([
    PropTypes.string,
    PropTypes.object
  ]),
  : PropTypes.shape({
    id: PropTypes.string.isRequired,
    title: PropTypes.string.isRequired,
    state: PropTypes.string.isRequired,
  }),
  children: PropTypes.node,
  : PropTypes.func,
  styles: PropTypes.object,
  : PropTypes.oneOf(['', ''])
  */
}

/*
Home.defaultProps = {
  status: 'neutral',
}
*/


export default Home
